Subject: Re: [PATCH] http.c: Spell the null pointer as NULL

From: Jonathan Nieder <[email-masked]>
Date: Thu, 24 Oct 2013 13:58:17 -0700

Ramsay Jones wrote:

> Commit 1bbcc224 ("http: refactor options to http_get_*", 28-09-2013)
> changed the type of final 'options' argument of the http_get_file()
> function from an int to an 'struct http_get_options' pointer.
> However, it neglected to update the (single) call site. Since this
> call was passing '0' to that argument, it was (correctly) being
> interpreted as a null pointer. Change to argument to NULL.

Jeff King wrote:

> Thanks, patch is obviously correct (and the cause was just oversight on
> my part).

For what it's worth, against the jk/http-auth-redirects branch,

Reviewed-by: Jonathan Nieder <[email-masked]>